Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1572642 - CentOS: dnf-utils from YUM4 SIG causes package downgrades in RHEL 7.5
Summary: CentOS: dnf-utils from YUM4 SIG causes package downgrades in RHEL 7.5
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Marek Blaha
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-27 13:40 UTC by Terry Bowling
Modified: 2018-11-30 22:56 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 22:56:42 UTC
Type: Bug


Attachments (Terms of Use)

Description Terry Bowling 2018-04-27 13:40:24 UTC
Description of problem:

dnf-utils & createrepo_c from the YUM4/DNF CentOS SIG causes package downgrades with RHEL/CentOS  7.5.

Version-Release number of selected component (if applicable):

createrepo_c    0.10.0-18.el7
dnf-utils       2.1.5-4.el7

How reproducible:

Steps to Reproduce:

1. Setup the YUM4 environment in an updated RHEL 7.5 environment

This seems to install just fine and no issues or package downgrades.

# wget http://mirror.centos.org/centos/7/extras/x86_64/Packages/centos-release-yum4-1-2.el7.centos.noarch.rpm
# wget http://mirror.centos.org/centos/7/extras/x86_64/Packages/centos-release-configmanagement-1-1.el7.centos.noarch.rpm
# yum install -y centos-release-yum4-1-2.el7.centos.noarch.rpm  centos-release-configmanagement-1-1.el7.centos.noarch.rpm
# yum install -y yum4 dnf-plugins-core


2. Install the dnf-utils and createrepo_c packages

# yum4 --allowerasing install dnf-utils createrepo_c


3.

Expected results:

both packages would simply install with dnf-utils simply replacing yum-utils package.


Actual results:

# yum4 --allowerasing install dnf-utils createrepo_c
Repository rhel-7-server-extras-rpms is listed more than once in the configuration
Repository rhel-7-server-rpms is listed more than once in the configuration
Red Hat Ansible Engine 2 RPMs for Red Hat Enterprise Linux 7 Server              239 kB/s | 195 kB     00:00    
Red Hat Enterprise Linux 7 Server - Extras (RPMs)                                1.5 MB/s | 887 kB     00:00    
google-chrome - x86_64                                                            35 kB/s | 3.1 kB     00:00    
Red Hat Enterprise Linux 7 Server - Extended Update Support (RPMs)                13 MB/s |  55 MB     00:04    
CentOS-7 - YUM4                                                                  124 kB/s |  25 kB     00:00    
Red Hat Enterprise Virtualization Management Agents for RHEL 7 (RPMs)            848 kB/s | 626 kB     00:00    
Red Hat Enterprise Linux 7 Server - Extended Update Support - Optional (RPMs)    7.5 MB/s |  24 MB     00:03    
Red Hat Enterprise Linux 7 Server (RPMs)                                          13 MB/s |  58 MB     00:04    
RPM Fusion for EL 7 - Nonfree - Updates                                          213 kB/s |  31 kB     00:00    
Red Hat Enterprise Linux 7 Server - Optional (RPMs)                               11 MB/s |  26 MB     00:02    
RPM Fusion for EL 7 - Free - Updates                                             1.5 MB/s | 316 kB     00:00    
Last metadata expiration check: 0:00:00 ago on Fri 27 Apr 2018 08:46:42 AM EDT.
Dependencies resolved.
==========================================================================================================
 Package                                   Arch         Version             Repository               Size
==========================================================================================================
Installing:
 createrepo_c                              x86_64       0.10.0-18.el7       centos-yum4              65 k
 dnf-utils                                 noarch       2.1.5-4.el7         centos-yum4              37 k
Installing dependencies:
 createrepo_c-libs                         x86_64       0.10.0-18.el7       centos-yum4              89 k
 gfs2-utils                                x86_64       3.1.10-6.el7        rhel-7-server-rpms      304 k
 perl-String-ShellQuote                    noarch       1.04-10.el7         rhel-7-server-eus-rpms   19 k
 perl-XML-Writer                           noarch       0.623-3.el7         rhel-7-server-eus-rpms   32 k
 perl-XML-XPath                            noarch       1.13-22.el7         rhel-7-server-eus-rpms   82 k
 supermin-helper                           x86_64       5.1.19-1.el7        rhel-7-server-rpms      374 k
Removing dependent packages:
 anaconda-core                             x86_64       21.48.22.134-1.el7  @System                 8.1 M
 anaconda-gui                              x86_64       21.48.22.134-1.el7  @System                 1.4 M
 anaconda-tui                              x86_64       21.48.22.134-1.el7  @System                 436 k
 initial-setup                             x86_64       0.3.9.43-1.el7      @System                 221 k
 initial-setup-gui                         x86_64       0.3.9.43-1.el7      @System                  32 k
 libguestfs-bash-completion                noarch       1:1.36.10-6.el7     @System                  16 k
 libkadm5                                  x86_64       1.15.1-19.el7       @System                 216 k
 subscription-manager-initial-setup-addon  x86_64       1.20.11-1.el7_5     @System                  46 k
 supermin5                                 x86_64       5.1.19-1.el7        @System                 1.7 M
 yum-utils                                 noarch       1.1.31-45.el7       @System                 334 k
Downgrading:
 gssproxy                                  x86_64       0.3.0-10.el7        rhel-7-server-eus-rpms   81 k
 krb5-devel                                x86_64       1.11.3-49.el7       rhel-7-server-eus-rpms  611 k
 krb5-libs                                 x86_64       1.11.3-49.el7       rhel-7-server-eus-rpms  810 k
 libguestfs                                x86_64       1:1.22.6-22.el7     rhel-7-server-eus-rpms  1.7 M
 libguestfs-tools                          noarch       1:1.22.6-22.el7     rhel-7-server-eus-rpms  104 k
 libguestfs-tools-c                        x86_64       1:1.22.6-22.el7     rhel-7-server-eus-rpms  1.7 M
 libsmbclient                              x86_64       4.2.10-7.el7_2      rhel-7-server-eus-rpms  120 k
 libwbclient                               x86_64       4.2.10-7.el7_2      rhel-7-server-eus-rpms   97 k
 nfs-utils                                 x86_64       1:1.3.0-0.33.el7_3  rhel-7-server-eus-rpms  377 k
 perl-Sys-Guestfs                          x86_64       1:1.22.6-22.el7     rhel-7-server-eus-rpms  340 k
 procps-ng                                 x86_64       3.3.9-6.el7         rhel-7-server-eus-rpms  280 k
 samba                                     x86_64       4.2.10-7.el7_2      rhel-7-server-eus-rpms  615 k
 samba-client                              x86_64       4.2.10-7.el7_2      rhel-7-server-eus-rpms  497 k
 samba-client-libs                         x86_64       4.2.10-7.el7_2      rhel-7-server-eus-rpms  4.3 M
 samba-common                              noarch       4.2.10-7.el7_2      rhel-7-server-eus-rpms  273 k
 samba-common-libs                         x86_64       4.2.10-7.el7_2      rhel-7-server-eus-rpms  157 k
 samba-common-tools                        x86_64       4.2.10-7.el7_2      rhel-7-server-eus-rpms  445 k
 samba-libs                                x86_64       4.2.10-7.el7_2      rhel-7-server-eus-rpms  261 k

Transaction Summary
=========================================================================================================
Install     8 Packages
Remove     10 Packages
Downgrade  18 Packages

Total download size: 14 M
Is this ok [y/N]: y
Downloading Packages:
(1/26): perl-Sys-Guestfs-1.22.6-22.el7.x86_64.rpm                 472 kB/s | 340 kB     00:00    
(2/26): nfs-utils-1.3.0-0.33.el7_3.x86_64.rpm                     380 kB/s | 377 kB     00:00    
(3/26): libwbclient-4.2.10-7.el7_2.x86_64.rpm                      65 kB/s |  97 kB     00:01    
(4/26): procps-ng-3.3.9-6.el7.x86_64.rpm                          302 kB/s | 280 kB     00:00    
(5/26): samba-4.2.10-7.el7_2.x86_64.rpm                           623 kB/s | 615 kB     00:00    
(6/26): samba-client-4.2.10-7.el7_2.x86_64.rpm                    706 kB/s | 497 kB     00:00    
(7/26): samba-common-4.2.10-7.el7_2.noarch.rpm                    425 kB/s | 273 kB     00:00    
(8/26): samba-common-libs-4.2.10-7.el7_2.x86_64.rpm               239 kB/s | 157 kB     00:00    
(9/26): samba-client-libs-4.2.10-7.el7_2.x86_64.rpm               2.7 MB/s | 4.3 MB     00:01    
(10/26): samba-common-tools-4.2.10-7.el7_2.x86_64.rpm             544 kB/s | 445 kB     00:00    
(11/26): samba-libs-4.2.10-7.el7_2.x86_64.rpm                     263 kB/s | 261 kB     00:00    
(12/26): gssproxy-0.3.0-10.el7.x86_64.rpm                         116 kB/s |  81 kB     00:00    
(13/26): krb5-devel-1.11.3-49.el7.x86_64.rpm                      725 kB/s | 611 kB     00:00    
(14/26): krb5-libs-1.11.3-49.el7.x86_64.rpm                       1.2 MB/s | 810 kB     00:00    
(15/26): libguestfs-tools-1.22.6-22.el7.noarch.rpm                227 kB/s | 104 kB     00:00    
(16/26): libguestfs-1.22.6-22.el7.x86_64.rpm                      1.6 MB/s | 1.7 MB     00:01    
(17/26): dnf-utils-2.1.5-4.el7.noarch.rpm                         109 kB/s |  37 kB     00:00    
(18/26): createrepo_c-0.10.0-18.el7.x86_64.rpm                    484 kB/s |  65 kB     00:00    
(19/26): createrepo_c-libs-0.10.0-18.el7.x86_64.rpm               396 kB/s |  89 kB     00:00    
(20/26): libsmbclient-4.2.10-7.el7_2.x86_64.rpm                   101 kB/s | 120 kB     00:01    
(21/26): libguestfs-tools-c-1.22.6-22.el7.x86_64.rpm              1.1 MB/s | 1.7 MB     00:01    
(22/26): perl-XML-XPath-1.13-22.el7.noarch.rpm                    115 kB/s |  82 kB     00:00    
(23/26): supermin-helper-5.1.19-1.el7.x86_64.rpm                  719 kB/s | 374 kB     00:00    
(24/26): gfs2-utils-3.1.10-6.el7.x86_64.rpm                       363 kB/s | 304 kB     00:00    
(25/26): perl-String-ShellQuote-1.04-10.el7.noarch.rpm             29 kB/s |  19 kB     00:00    
(26/26): perl-XML-Writer-0.623-3.el7.noarch.rpm                    53 kB/s |  32 kB     00:00    
----------------------------------------------------------------------------------------------
Total                                                             1.9 MB/s |  14 MB     00:07     
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Preparing        :                                                                        1/1 
  Downgrading      : krb5-libs-1.11.3-49.el7.x86_64                                        1/54 
  Running scriptlet: krb5-libs-1.11.3-49.el7.x86_64                                        1/54 
  Downgrading      : samba-libs-4.2.10-7.el7_2.x86_64                                      2/54 
  Running scriptlet: samba-libs-4.2.10-7.el7_2.x86_64                                      2/54 
  Downgrading      : samba-common-tools-4.2.10-7.el7_2.x86_64                              3/54 
  Downgrading      : samba-common-4.2.10-7.el7_2.noarch                                    4/54 
  Running scriptlet: samba-common-4.2.10-7.el7_2.noarch                                    4/54 
warning: /etc/samba/smb.conf created as /etc/samba/smb.conf.rpmnew
  Downgrading      : libwbclient-4.2.10-7.el7_2.x86_64                                     5/54 
  Downgrading      : samba-client-libs-4.2.10-7.el7_2.x86_64                               6/54 
  Downgrading      : samba-common-libs-4.2.10-7.el7_2.x86_64                               7/54 
  Downgrading      : libsmbclient-4.2.10-7.el7_2.x86_64                                    8/54 
  Running scriptlet: libsmbclient-4.2.10-7.el7_2.x86_64                                    8/54 
  Downgrading      : gssproxy-0.3.0-10.el7.x86_64                                          9/54 
  Running scriptlet: gssproxy-0.3.0-10.el7.x86_64                                          9/54 
  Installing       : perl-XML-Writer-0.623-3.el7.noarch                                   10/54 
  Installing       : perl-String-ShellQuote-1.04-10.el7.noarch                            11/54 
  Installing       : gfs2-utils-3.1.10-6.el7.x86_64                                       12/54 
  Installing       : supermin-helper-5.1.19-1.el7.x86_64                                  13/54 
  Installing       : perl-XML-XPath-1.13-22.el7.noarch                                    14/54 
  Installing       : createrepo_c-libs-0.10.0-18.el7.x86_64                               15/54 
  Downgrading      : procps-ng-3.3.9-6.el7.x86_64                                         16/54 
  Running scriptlet: procps-ng-3.3.9-6.el7.x86_64                                         16/54 
  Downgrading      : libguestfs-1:1.22.6-22.el7.x86_64                                    17/54 
  Running scriptlet: libguestfs-1:1.22.6-22.el7.x86_64                                    17/54 
  Downgrading      : perl-Sys-Guestfs-1:1.22.6-22.el7.x86_64                              18/54 
  Downgrading      : libguestfs-tools-c-1:1.22.6-22.el7.x86_64                            19/54 
  Downgrading      : libguestfs-tools-1:1.22.6-22.el7.noarch                              20/54 
  Installing       : createrepo_c-0.10.0-18.el7.x86_64                                    21/54 
  Running scriptlet: createrepo_c-0.10.0-18.el7.x86_64                                    21/54 
  Running scriptlet: nfs-utils-1:1.3.0-0.33.el7_3.x86_64                                  22/54 
  Downgrading      : nfs-utils-1:1.3.0-0.33.el7_3.x86_64                                  22/54 
  Running scriptlet: nfs-utils-1:1.3.0-0.33.el7_3.x86_64                                  22/54 
  Downgrading      : samba-client-4.2.10-7.el7_2.x86_64                                   23/54 
  Downgrading      : samba-4.2.10-7.el7_2.x86_64                                          24/54 
  Running scriptlet: samba-4.2.10-7.el7_2.x86_64                                          24/54 
  Downgrading      : krb5-devel-1.11.3-49.el7.x86_64                                      25/54 
  Installing       : dnf-utils-2.1.5-4.el7.noarch                                         26/54 
  Running scriptlet: samba-4.7.1-6.el7.x86_64                                             27/54 
  Erasing          : samba-4.7.1-6.el7.x86_64                                             27/54 
  Running scriptlet: samba-4.7.1-6.el7.x86_64                                             27/54 
  Erasing          : samba-common-tools-4.7.1-6.el7.x86_64                                28/54 
  Erasing          : samba-client-4.7.1-6.el7.x86_64                                      29/54 
  Running scriptlet: samba-client-4.7.1-6.el7.x86_64                                      29/54 
  Erasing          : libguestfs-tools-1:1.36.10-6.el7.noarch                              30/54 
  Erasing          : samba-libs-4.7.1-6.el7.x86_64                                        31/54 
  Running scriptlet: samba-libs-4.7.1-6.el7.x86_64                                        31/54 
  Erasing          : krb5-devel-1.15.1-19.el7.x86_64                                      32/54 
  Erasing          : libsmbclient-4.7.1-6.el7.x86_64                                      33/54 
  Running scriptlet: libsmbclient-4.7.1-6.el7.x86_64                                      33/54 
  Erasing          : samba-common-libs-4.7.1-6.el7.x86_64                                 34/54 
  Running scriptlet: samba-common-libs-4.7.1-6.el7.x86_64                                 34/54 
  Erasing          : samba-client-libs-4.7.1-6.el7.x86_64                                 35/54 
  Running scriptlet: samba-client-libs-4.7.1-6.el7.x86_64                                 35/54 
  Running scriptlet: libwbclient-4.7.1-6.el7.x86_64                                       36/54 
  Erasing          : libwbclient-4.7.1-6.el7.x86_64                                       36/54 
  Running scriptlet: nfs-utils-1:1.3.0-0.54.el7.x86_64                                    37/54 
  Erasing          : nfs-utils-1:1.3.0-0.54.el7.x86_64                                    37/54 
  Running scriptlet: nfs-utils-1:1.3.0-0.54.el7.x86_64                                    37/54 
  Erasing          : subscription-manager-initial-setup-addon-1.20.11-1.el7_5.x86_64      38/54 
  Running scriptlet: initial-setup-gui-0.3.9.43-1.el7.x86_64                              39/54 
  Erasing          : initial-setup-gui-0.3.9.43-1.el7.x86_64                              39/54 
  Running scriptlet: initial-setup-gui-0.3.9.43-1.el7.x86_64                              39/54 
  Erasing          : anaconda-gui-21.48.22.134-1.el7.x86_64                               40/54 
  Running scriptlet: initial-setup-0.3.9.43-1.el7.x86_64                                  41/54 
  Erasing          : initial-setup-0.3.9.43-1.el7.x86_64                                  41/54 
  Running scriptlet: initial-setup-0.3.9.43-1.el7.x86_64                                  41/54 
  Erasing          : anaconda-tui-21.48.22.134-1.el7.x86_64                               42/54 
  Erasing          : anaconda-core-21.48.22.134-1.el7.x86_64                              43/54 
  Erasing          : libguestfs-bash-completion-1:1.36.10-6.el7.noarch                    44/54 
  Erasing          : libguestfs-tools-c-1:1.36.10-6.el7.x86_64                            45/54 
  Running scriptlet: gssproxy-0.7.0-17.el7.x86_64                                         46/54 
  Erasing          : gssproxy-0.7.0-17.el7.x86_64                                         46/54 
  Running scriptlet: gssproxy-0.7.0-17.el7.x86_64                                         46/54 
  Erasing          : libkadm5-1.15.1-19.el7.x86_64                                        47/54 
  Running scriptlet: libkadm5-1.15.1-19.el7.x86_64                                        47/54 
  Erasing          : perl-Sys-Guestfs-1:1.36.10-6.el7.x86_64                              48/54 
  Erasing          : samba-common-4.7.1-6.el7.noarch                                      49/54 
  Erasing          : libguestfs-1:1.36.10-6.el7.x86_64                                    50/54 
  Running scriptlet: libguestfs-1:1.36.10-6.el7.x86_64                                    50/54 
  Erasing          : supermin5-5.1.19-1.el7.x86_64                                        51/54 
  Erasing          : yum-utils-1.1.31-45.el7.noarch                                       52/54 
  Erasing          : procps-ng-3.3.10-17.el7.x86_64                                       53/54 
  Running scriptlet: procps-ng-3.3.10-17.el7.x86_64                                       53/54 
  Running scriptlet: krb5-libs-1.15.1-19.el7.x86_64                                       54/54 
  Erasing          : krb5-libs-1.15.1-19.el7.x86_64                                       54/54 
  Running scriptlet: krb5-libs-1.15.1-19.el7.x86_64                                       54/54 
  Running scriptlet: libwbclient-4.2.10-7.el7_2.x86_64                                    54/54 
  Running scriptlet: nfs-utils-1:1.3.0-0.33.el7_3.x86_64                                  54/54 
  Verifying        : libwbclient-4.2.10-7.el7_2.x86_64                                     1/54 
  Verifying        : nfs-utils-1:1.3.0-0.33.el7_3.x86_64                                   2/54 
  Verifying        : perl-Sys-Guestfs-1:1.22.6-22.el7.x86_64                               3/54 
  Verifying        : procps-ng-3.3.9-6.el7.x86_64                                          4/54 
  Verifying        : samba-4.2.10-7.el7_2.x86_64                                           5/54 
  Verifying        : samba-client-4.2.10-7.el7_2.x86_64                                    6/54 
  Verifying        : samba-client-libs-4.2.10-7.el7_2.x86_64                               7/54 
  Verifying        : samba-common-4.2.10-7.el7_2.noarch                                    8/54 
  Verifying        : samba-common-libs-4.2.10-7.el7_2.x86_64                               9/54 
  Verifying        : samba-common-tools-4.2.10-7.el7_2.x86_64                             10/54 
  Verifying        : samba-libs-4.2.10-7.el7_2.x86_64                                     11/54 
  Verifying        : gssproxy-0.3.0-10.el7.x86_64                                         12/54 
  Verifying        : krb5-devel-1.11.3-49.el7.x86_64                                      13/54 
  Verifying        : krb5-libs-1.11.3-49.el7.x86_64                                       14/54 
  Verifying        : libguestfs-1:1.22.6-22.el7.x86_64                                    15/54 
  Verifying        : libguestfs-tools-1:1.22.6-22.el7.noarch                              16/54 
  Verifying        : libguestfs-tools-c-1:1.22.6-22.el7.x86_64                            17/54 
  Verifying        : libsmbclient-4.2.10-7.el7_2.x86_64                                   18/54 
  Verifying        : dnf-utils-2.1.5-4.el7.noarch                                         19/54 
  Verifying        : createrepo_c-0.10.0-18.el7.x86_64                                    20/54 
  Verifying        : createrepo_c-libs-0.10.0-18.el7.x86_64                               21/54 
  Verifying        : perl-XML-XPath-1.13-22.el7.noarch                                    22/54 
  Verifying        : supermin-helper-5.1.19-1.el7.x86_64                                  23/54 
  Verifying        : gfs2-utils-3.1.10-6.el7.x86_64                                       24/54 
  Verifying        : perl-String-ShellQuote-1.04-10.el7.noarch                            25/54 
  Verifying        : perl-XML-Writer-0.623-3.el7.noarch                                   26/54 
  Verifying        : perl-Sys-Guestfs-1:1.36.10-6.el7.x86_64                              27/54 
  Verifying        : supermin5-5.1.19-1.el7.x86_64                                        28/54 
  Verifying        : yum-utils-1.1.31-45.el7.noarch                                       29/54 
  Verifying        : initial-setup-0.3.9.43-1.el7.x86_64                                  30/54 
  Verifying        : libkadm5-1.15.1-19.el7.x86_64                                        31/54 
  Verifying        : libwbclient-4.7.1-6.el7.x86_64                                       32/54 
  Verifying        : samba-client-libs-4.7.1-6.el7.x86_64                                 33/54 
  Verifying        : libguestfs-1:1.36.10-6.el7.x86_64                                    34/54 
  Verifying        : samba-common-libs-4.7.1-6.el7.x86_64                                 35/54 
  Verifying        : samba-4.7.1-6.el7.x86_64                                             36/54 
  Verifying        : samba-client-4.7.1-6.el7.x86_64                                      37/54 
  Verifying        : gssproxy-0.7.0-17.el7.x86_64                                         38/54 
  Verifying        : samba-common-4.7.1-6.el7.noarch                                      39/54 
  Verifying        : krb5-devel-1.15.1-19.el7.x86_64                                      40/54 
  Verifying        : krb5-libs-1.15.1-19.el7.x86_64                                       41/54 
  Verifying        : samba-libs-4.7.1-6.el7.x86_64                                        42/54 
  Verifying        : subscription-manager-initial-setup-addon-1.20.11-1.el7_5.x86_64      43/54 
  Verifying        : samba-common-tools-4.7.1-6.el7.x86_64                                44/54 
  Verifying        : initial-setup-gui-0.3.9.43-1.el7.x86_64                              45/54 
  Verifying        : nfs-utils-1:1.3.0-0.54.el7.x86_64                                    46/54 
  Verifying        : anaconda-core-21.48.22.134-1.el7.x86_64                              47/54 
  Verifying        : anaconda-gui-21.48.22.134-1.el7.x86_64                               48/54 
  Verifying        : anaconda-tui-21.48.22.134-1.el7.x86_64                               49/54 
  Verifying        : libguestfs-bash-completion-1:1.36.10-6.el7.noarch                    50/54 
  Verifying        : libguestfs-tools-1:1.36.10-6.el7.noarch                              51/54 
  Verifying        : libguestfs-tools-c-1:1.36.10-6.el7.x86_64                            52/54 
  Verifying        : procps-ng-3.3.10-17.el7.x86_64                                       53/54 
  Verifying        : libsmbclient-4.7.1-6.el7.x86_64                                      54/54 

Removed:
  anaconda-core.x86_64 21.48.22.134-1.el7          anaconda-gui.x86_64 21.48.22.134-1.el7                                  
  anaconda-tui.x86_64 21.48.22.134-1.el7           initial-setup.x86_64 0.3.9.43-1.el7                                     
  initial-setup-gui.x86_64 0.3.9.43-1.el7          libguestfs-bash-completion.noarch 1:1.36.10-6.el7                       
  libkadm5.x86_64 1.15.1-19.el7                    subscription-manager-initial-setup-addon.x86_64 1.20.11-1.el7_5         
  supermin5.x86_64 5.1.19-1.el7                    yum-utils.noarch 1.1.31-45.el7                                          

Installed:
  createrepo_c.x86_64 0.10.0-18.el7   dnf-utils.noarch 2.1.5-4.el7                createrepo_c-libs.x86_64 0.10.0-18.el7  
  gfs2-utils.x86_64 3.1.10-6.el7      perl-String-ShellQuote.noarch 1.04-10.el7   perl-XML-Writer.noarch 0.623-3.el7      
  perl-XML-XPath.noarch 1.13-22.el7   supermin-helper.x86_64 5.1.19-1.el7        

Downgraded:
  gssproxy.x86_64 0.3.0-10.el7                                 krb5-devel.x86_64 1.11.3-49.el7                              
  krb5-libs.x86_64 1.11.3-49.el7                               libguestfs.x86_64 1:1.22.6-22.el7                            
  libguestfs-tools.noarch 1:1.22.6-22.el7                      libguestfs-tools-c.x86_64 1:1.22.6-22.el7                    
  libsmbclient.x86_64 4.2.10-7.el7_2                           libwbclient.x86_64 4.2.10-7.el7_2                            
  nfs-utils.x86_64 1:1.3.0-0.33.el7_3                          perl-Sys-Guestfs.x86_64 1:1.22.6-22.el7                      
  procps-ng.x86_64 3.3.9-6.el7                                 samba.x86_64 4.2.10-7.el7_2                                  
  samba-client.x86_64 4.2.10-7.el7_2                           samba-client-libs.x86_64 4.2.10-7.el7_2                      
  samba-common.noarch 4.2.10-7.el7_2                           samba-common-libs.x86_64 4.2.10-7.el7_2                      
  samba-common-tools.x86_64 4.2.10-7.el7_2                     samba-libs.x86_64 4.2.10-7.el7_2                             

Complete!

Comment 1 Terry Bowling 2018-04-27 13:45:45 UTC
Sadly, I did not check in advance to see what dependency was causing the downgrades.  

Afterwards, I tried to update and see the following conflicts:

# dnf upgrade
Repository rhel-7-server-extras-rpms is listed more than once in the configuration
Repository rhel-7-server-rpms is listed more than once in the configuration
Last metadata expiration check: 0:01:51 ago on Fri 27 Apr 2018 08:46:42 AM EDT.
Dependencies resolved.

 Problem 1: package libguestfs-1:1.36.10-6.el7.x86_64 requires supermin5 >= 5.1.16-2, but none of the providers can be installed
  - package supermin5-5.1.16-4.el7.x86_64 requires yum-utils, but none of the providers can be installed
  - package supermin5-5.1.19-1.el7.x86_64 requires yum-utils, but none of the providers can be installed
  - package dnf-utils-2.1.5-4.el7.noarch conflicts with yum-utils provided by yum-utils-1.1.31-42.el7.noarch
  - package dnf-utils-2.1.5-4.el7.noarch conflicts with yum-utils provided by yum-utils-1.1.31-25.el7_0.noarch
  - package dnf-utils-2.1.5-4.el7.noarch conflicts with yum-utils provided by yum-utils-1.1.31-40.el7.noarch
  - package dnf-utils-2.1.5-4.el7.noarch conflicts with yum-utils provided by yum-utils-1.1.31-24.el7.noarch
  - package dnf-utils-2.1.5-4.el7.noarch conflicts with yum-utils provided by yum-utils-1.1.31-29.el7.noarch
  - package dnf-utils-2.1.5-4.el7.noarch conflicts with yum-utils provided by yum-utils-1.1.31-34.el7.noarch
  - package dnf-utils-2.1.5-4.el7.noarch conflicts with yum-utils provided by yum-utils-1.1.31-45.el7.noarch
  - cannot install the best update candidate for package libguestfs-1:1.22.6-22.el7.x86_64
  - cannot install the best update candidate for package dnf-utils-2.1.5-4.el7.noarch
 Problem 2: package libguestfs-1:1.36.10-6.el7.x86_64 requires supermin5 >= 5.1.16-2, but none of the providers can be installed
  - package supermin5-5.1.16-4.el7.x86_64 requires yum-utils, but none of the providers can be installed
  - package supermin5-5.1.19-1.el7.x86_64 requires yum-utils, but none of the providers can be installed
  - package dnf-utils-2.1.5-4.el7.noarch conflicts with yum-utils provided by yum-utils-1.1.31-42.el7.noarch
  - package dnf-utils-2.1.5-4.el7.noarch conflicts with yum-utils provided by yum-utils-1.1.31-25.el7_0.noarch
  - package dnf-utils-2.1.5-4.el7.noarch conflicts with yum-utils provided by yum-utils-1.1.31-40.el7.noarch
  - package dnf-utils-2.1.5-4.el7.noarch conflicts with yum-utils provided by yum-utils-1.1.31-24.el7.noarch
  - package dnf-utils-2.1.5-4.el7.noarch conflicts with yum-utils provided by yum-utils-1.1.31-29.el7.noarch
  - package dnf-utils-2.1.5-4.el7.noarch conflicts with yum-utils provided by yum-utils-1.1.31-34.el7.noarch
  - package dnf-utils-2.1.5-4.el7.noarch conflicts with yum-utils provided by yum-utils-1.1.31-45.el7.noarch
  - problem with installed package dnf-utils-2.1.5-4.el7.noarch
  - package libguestfs-tools-1:1.36.10-6.el7.noarch requires libguestfs = 1:1.36.10-6.el7, but none of the providers can be installed
  - cannot install the best update candidate for package libguestfs-tools-1:1.22.6-22.el7.noarch
==================================================================================
 Package            Arch      Version            Repository                  Size
==================================================================================
Skipping packages with conflicts:
(add '--best --allowerasing' to command line to force their upgrade):
 yum-utils          noarch    1.1.31-24.el7      rhel-7-server-eus-rpms     111 k
 yum-utils          noarch    1.1.31-24.el7      rhel-7-server-rpms         111 k
 yum-utils          noarch    1.1.31-25.el7_0    rhel-7-server-eus-rpms     111 k
 yum-utils          noarch    1.1.31-25.el7_0    rhel-7-server-rpms         111 k
 yum-utils          noarch    1.1.31-29.el7      rhel-7-server-rpms         112 k
 yum-utils          noarch    1.1.31-29.el7      rhel-7-server-eus-rpms     112 k
 yum-utils          noarch    1.1.31-34.el7      rhel-7-server-rpms         113 k
 yum-utils          noarch    1.1.31-34.el7      rhel-7-server-eus-rpms     113 k
 yum-utils          noarch    1.1.31-40.el7      rhel-7-server-eus-rpms     116 k
 yum-utils          noarch    1.1.31-40.el7      rhel-7-server-rpms         116 k
 yum-utils          noarch    1.1.31-42.el7      rhel-7-server-eus-rpms     117 k
 yum-utils          noarch    1.1.31-42.el7      rhel-7-server-rpms         117 k
 yum-utils          noarch    1.1.31-45.el7      rhel-7-server-rpms         119 k
Skipping packages with broken dependencies:
 libguestfs         x86_64    1:1.36.10-6.el7    rhel-7-server-rpms         1.9 M
 libguestfs-tools   noarch    1:1.36.10-6.el7    rhel-7-server-rpms          33 k
 supermin5          x86_64    5.1.16-4.el7       rhel-7-server-rpms         550 k
 supermin5          x86_64    5.1.16-4.el7       rhel-7-server-eus-rpms     550 k
 supermin5          x86_64    5.1.19-1.el7       rhel-7-server-rpms         631 k

Transaction Summary
============================================================================================================================
Skip  18 Packages

Nothing to do.
Complete!

Comment 2 Terry Bowling 2018-04-27 13:48:01 UTC
confirmed that I can replace dnf-utils with yum-utils and get the system back to using the latest versions from rhel-7.5.

createrepo_c does not appear to be the problem.

Comment 3 Marek Blaha 2018-04-30 13:34:35 UTC
This behavior is sort of expected. The problem is you have package libguestfs installed and updated to the latest version. This version depends on supermin5, and the supermin5 package requires the yum-utils.

Then you tried to install dnf-utils, but it conflicts with yum-utils. You've instructed dnf to allow erasing of packages to resolve dependencies, so you basically ended with:

1. downgrading of libguestfs to older version libguestfs-1:1.22.6-22.el7.x86_64 which does not require supermin5

2. removing yum-utils and supermin5 packages (and some others, but this two are important for our case)

3. installing dnf-utils instead of the yum-utils

dnf-utils cannot be installed together with dnf-utils, because they provide the same binaries - debuginfo-install, find-repos-of-install, repo-graph, package-cleanup, repoclosure, repomanage, repoquery, reposync, repotrack, yum-builddep, yum-config-manager, yum-debug-dump, yum-debug-restore, yumdownloader

But you can achieve the same result using yum4, having yum-utils on the same system installed. Just use corresponding yum4 plugin for the yum tool. See the table here:

https://dnf.readthedocs.io/en/latest/cli_vs_yum.html#changes-in-dnf-plugins-compared-to-yum-utilities

Comment 5 Ben Cotton 2018-11-27 14:17:52 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Ben Cotton 2018-11-30 22:56:42 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.